# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nip-70"
version = "0.4.3"
description = "Reference implementation of Nostr NIP-70"
documentation = "https://docs.rs/nip-70"
readme = "README.md"
license = "MIT"
repository = "https://github.com/tvolk131/nip-70"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.nostr-sdk]
version = "0.27"

[dependencies.serde]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "io-util",
    "net",
    "rt",
]

[dev-dependencies.lazy_static]
version = "1"
